braille.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <termios.h>`
`#include <sys/ioctl.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "braille.h"`

## Macros

#define | BRL_ID "\033ID="
#define | WAIT_DTR 700000
#define | WAIT_FLUSH 200
#define | BAUDRATE B19200 /* But both run at 19k2 */
#define | MAXREAD 18

## Functions

static unsigned | do_alva (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_fhp (hd_data_t *hd_data, char *dev_name, unsigned baud, int cnt)
static unsigned | do_fhp_new (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_ht (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_baum (hd_data_t *hd_data, char *dev_name, int cnt)
void | hd_scan_braille (hd_data_t *hd_data)